Bug 461392 - (perl-Tie-ToObject) Review Request: perl-Tie-ToObject - Tie to an existing object
Review Request: perl-Tie-ToObject - Tie to an existing object
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Tie-ToObject
:
Depends On:
Blocks: 461383
  Show dependency treegraph
 
Reported: 2008-09-07 01:46 EDT by Chris Weyl
Modified: 2014-01-21 13:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 18:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-07 01:46:40 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Tie-ToObject-0.03-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Tie-ToObject.spec

Description:
While the perldoc/tie manpage allows tying to an arbitrary object, the
class in question must support this in it's implementation of 'TIEHASH',
'TIEARRAY' or whatever.

This class provides a very tie constructor that simply returns the object
it was given as it's first argument.

This way side effects of calling '$object->TIEHASH' are avoided.
Comment 1 Chris Weyl 2008-09-07 01:47:39 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=811495

=====> perl-Tie-ToObject-0.03-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Tie-ToObject-0.03-1.fc9.noarch.rpm
perl(Tie::ToObject) = 0.03
perl-Tie-ToObject = 0.03-1.fc9
====> requires for perl-Tie-ToObject-0.03-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Scalar::Util)  
perl(strict)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
Comment 2 Parag AN(पराग) 2008-09-07 09:04:30 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=811495
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b4f434992c286d531f26893c78541456  Tie-ToObject-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=10,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.05 cusr  0.01 csys =  0.07 CPU)
+ Package perl-Tie-ToObject-0.03-1.fc10 =>
Provides:
 perl(Tie::ToObject) = 0.03
Requires: 
perl(Carp) perl(Scalar::Util) perl(strict) perl(vars)


APPROVED.
Comment 3 Chris Weyl 2008-09-07 14:17:52 EDT
New Package CVS Request
=======================
Package Name: perl-Tie-ToObject
Short Description: Tie to an existing object
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-09-08 11:21:11 EDT
cvs done.
Comment 5 Chris Weyl 2008-09-08 18:06:05 EDT
Imported and building.  Thanks for the review! :-)
Comment 6 Iain Arnell 2010-08-25 01:52:15 EDT
Package Change Request
======================
Package Name: perl-Tie-ToObject
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2010-08-25 13:21:54 EDT
Git done (by process-git-requests).
Comment 8 Lubomir Rintel 2014-01-21 13:03:56 EST
Package Change Request
======================
Package Name: perl-Tie-ToObject
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (iarnell) is not willing to maintain EPEL packages: http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 9 Gwyn Ciesla 2014-01-21 13:30:18 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.